net.i2p.router.web.helpers

## Class HomeHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.helpers.HomeHelper

-     public class HomeHelper
      extends HelperBase

  Helper for router console home page and configuration. Renders main dashboard with service links, favorites, monitoring, and quick access to router management features. Supports both /home and /confighome pages.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static String` | `ADVANCED_SERVICES`
    `(package private) static String` | `DEFAULT_FAVORITES`
    `(package private) static String` | `DEFAULT_SERVICES`
    `(package private) static String` | `NEWINSTALL_SERVICES`
    `(package private) static String` | `PROP_CONFIG`
    `(package private) static String` | `PROP_FAVORITES`
    `(package private) static String` | `PROP_MONITORING`
    `(package private) static String` | `PROP_SEARCH`
    `(package private) static String` | `PROP_SERVICES`

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out, CHECKED, PROP_ADVANCED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HomeHelper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static Collection<App>` | `buildApps(RouterContext ctx, String config)`
    `(package private) static Collection<App>` | `buildSearchApps(String config)`
    `String` | `getConfigFavorites()`
    `String` | `getConfigSearch()`
    `String` | `getConfigServices()`
    `String` | `getFavorites()`
    `String` | `getProxyStatus()`
    `String` | `getServices()`
    `boolean` | `isAdvanced()` Check if advanced mode is enabled.
    `(package private) static void` | `saveApps(RouterContext ctx, String prop, Collection<App> apps, boolean full)`
    `boolean` | `shouldShowBandwidthConfig()`
    `boolean` | `shouldShowSearch()`
    `boolean` | `shouldShowWelcome()`

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_t, _t, _t, _x, getChecked, getCheckedDefaultTrue, ngettext, setContextId, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADVANCED_SERVICES

          static final String ADVANCED_SERVICES

    - #### DEFAULT_FAVORITES

          static final String DEFAULT_FAVORITES

    - #### DEFAULT_SERVICES

          static final String DEFAULT_SERVICES

    - #### NEWINSTALL_SERVICES

          static final String NEWINSTALL_SERVICES

    - #### PROP_CONFIG

          static final String PROP_CONFIG

      See Also:
        Constant Field Values

    - #### PROP_FAVORITES

          static final String PROP_FAVORITES

      See Also:
        Constant Field Values

    - #### PROP_MONITORING

          static final String PROP_MONITORING

      See Also:
        Constant Field Values

    - #### PROP_SEARCH

          static final String PROP_SEARCH

      See Also:
        Constant Field Values

    - #### PROP_SERVICES

          static final String PROP_SERVICES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HomeHelper

          public HomeHelper()

  - ### Method Detail

    - #### buildApps

          static Collection<App> buildApps(RouterContext ctx,
                                           String config)

    - #### buildSearchApps

          static Collection<App> buildSearchApps(String config)

    - #### getConfigFavorites

          public String getConfigFavorites()

    - #### getConfigSearch

          public String getConfigSearch()

    - #### getConfigServices

          public String getConfigServices()

    - #### getFavorites

          public String getFavorites()

    - #### getProxyStatus

          public String getProxyStatus()

    - #### getServices

          public String getServices()

    - #### isAdvanced

          public boolean isAdvanced()

      Description copied from class: `HelperBase`
      Check if advanced mode is enabled.
      Overrides:
        `isAdvanced` in class `HelperBase`
      Returns:
        true if advanced mode is enabled

    - #### saveApps

          static void saveApps(RouterContext ctx,
                               String prop,
                               Collection<App> apps,
                               boolean full)

    - #### shouldShowBandwidthConfig

          public boolean shouldShowBandwidthConfig()

    - #### shouldShowSearch

          public boolean shouldShowSearch()

    - #### shouldShowWelcome

          public boolean shouldShowWelcome()